import asyncio
import logging
from aiogram import F, Router, Dispatcher, Bot
from aiogram.types import Message, CallbackQuery, User
from aiogram.filters import CommandStart, Command
from aiogram.enums import ParseMode
from config import TOKEN, ADMIN_ID
from app.handliers import router
from app.share import share_router
bot = Bot(token=TOKEN, ParseMode="HTML")
dp = Dispatcher()

async def main():
    dp.include_router(router)
    dp.include_router(share_router)
    await bot.delete_webhook(drop_pending_updates=True)
    await dp.start_polling(bot)

if __name__ == '__main__':
    logging.basicConfig(level=logging.INFO)
    try:
        asyncio.run(main())
    except KeyboardInterrupt:
        print(' бот отключен')